> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get impacted Business Services for a Status Dashboard by `id`.

`GET https://api.pagerduty.com/status_dashboards/{id}/service_impacts`

Get impacted Business Services for a Status Dashboard by `id`

This endpoint does not return an exhaustive list of Business Services but rather provides access to the most impacted on the specified Status Dashboard up to the limit of 200.

The returned Business Services are sorted first by Impact, secondarily by most recently impacted, and finally by name.

To get Impact information about a specific Business Service on the Status Dashboard that does not appear in the Impact-sorted response, use the `ids[]` parameter on the `/business_services/impacts` endpoint.

Scoped OAuth requires: `status_dashboards.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `additional_fields[]` | string |  | Provides access to additional fields such as highest priority per business service and total impacted count. One of: `services.highest_impacting_priority`, `total_impacted_count`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

OK

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | Echoes limit pagination property. Read-only. |
| `more` | boolean |  | Indicates if there are additional records to return. Read-only. |
| `services` | array of object |  |  |
| `services[].id` | string |  | Read-only. |
| `services[].name` | string |  | Read-only. |
| `services[].type` | string |  | The kind of object that has been impacted. One of: `business_service`. |
| `services[].status` | string |  | The current impact status of the object. One of: `impacted`, `not_impacted`. |
| `services[].additional_fields` | object |  |  |
| `services[].additional_fields.highest_impacting_priority` | object \| null |  | Priority information for the highest priority level that is affecting the impacted object. |
| `services[].additional_fields.highest_impacting_priority.id` | string |  | Read-only. |
| `services[].additional_fields.highest_impacting_priority.order` | integer |  | Read-only. |
| `additional_fields` | object |  |  |
| `additional_fields.total_impacted_count` | integer |  |  |

Example: Response Example

```json
{
  "limit": 100,
  "more": false,
  "services": [
    {
      "id": "PD1234",
      "name": "Web API",
      "type": "business_service",
      "status": "impacted",
      "additional_fields": {
        "highest_impacting_priority": {
          "id": "PQOMK4S",
          "order": 128
        }
      }
    },
    {
      "id": "PF9KMXH",
      "name": "Analytics Backend",
      "type": "business_service",
      "status": "not_impacted",
      "additional_fields": {
        "highest_impacting_priority": null
      }
    }
  ],
  "additional_fields": {
    "total_impacted_count": 1
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 422

Unprocessable Entity. Some arguments failed validation checks.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
